function [methodinfo,structs,enuminfo,ThunkLibName]=ftd2xx_prototype_x86_64
%FTD2XX_PROTOTYPE_X86_64 Create structures to define interfaces found in 'libftdi_4_0'.

%This function was generated by loadlibrary.m parser version  on Wed Jun 22 16:50:00 2016
%perl options:'libftdi_4_0.i -outfile=ftd2xx_prototype_x86_64.m -thunkfile=libftdi_thunk_glnxa64.c -header=libftdi_4_0.h'
ival={cell(1,0)}; % change 0 to the actual number of functions to preallocate the data.
structs=[];enuminfo=[];fcnNum=1;
fcns=struct('name',ival,'calltype',ival,'LHS',ival,'RHS',ival,'alias',ival,'thunkname', ival);
MfilePath=fileparts(mfilename('fullpath'));
ThunkLibName=fullfile(MfilePath,'libftdi_thunk_glnxa64');
% ULONG InitializeUSB ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='InitializeUSB'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG ConfigureUSB ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='ConfigureUSB'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG ConfigureBoard ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='ConfigureBoard'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG ResetPLL ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='ResetPLL'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG ResetDDRClock ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='ResetDDRClock'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG ResetMIG_IP ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='ResetMIG_IP'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG GetTriggerType ( int CardNb , DWORD * myTriggerType ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetTriggerType'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint32Ptr'};fcnNum=fcnNum+1;
% ULONG GetDigitalThreshold ( int CardNb , DWORD * myDigitalThreshold ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDigitalThreshold'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint32Ptr'};fcnNum=fcnNum+1;
% ULONG GetIsOpen ( int CardNb , DWORD * myIsOpen ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetIsOpen'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint32Ptr'};fcnNum=fcnNum+1;
% ULONG GetControlRegister ( int CardNb , char ControlRegisterOut [ 1 ]); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetControlRegister'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'int8Ptr'};fcnNum=fcnNum+1;
% ULONG GetEscale ( int CardNb , DWORD * myEscale ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetEscale'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint32Ptr'};fcnNum=fcnNum+1;
% ULONG GetFrequency ( int CardNb , unsigned short int * myFrequency ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetFrequency'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint16Ptr'};fcnNum=fcnNum+1;
% ULONG GetADCOffset ( int CardNb , DWORD * myADCOffset ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetADCOffset'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint32Ptr'};fcnNum=fcnNum+1;
% ULONG GetVGA ( int CardNb , int VGA_nb , DWORD * myVGA ); 
fcns.thunkname{fcnNum}='ulongint32int32voidPtrThunk';fcns.name{fcnNum}='GetVGA'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'int32', 'uint32Ptr'};fcnNum=fcnNum+1;
% ULONG UpdateDACOffset ( int CardNb , unsigned short int dac_command , unsigned short int dac_address , unsigned short int dac_value ); 
fcns.thunkname{fcnNum}='ulongint32uint16uint16uint16Thunk';fcns.name{fcnNum}='UpdateDACOffset'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint16', 'uint16', 'uint16'};fcnNum=fcnNum+1;
% ULONG GetDACOffset_tr_ext_plus ( int CardNb , unsigned long int * myDACOffset_tr_ext_plus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDACOffset_tr_ext_plus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetDACOffset_tr_ext_minus ( int CardNb , unsigned long int * myDACOffset_tr_ext_minus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDACOffset_tr_ext_minus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetDACOffset_test_plus ( int CardNb , unsigned long int * myDACOffset_test_plus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDACOffset_test_plus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetDACOffset_test_minus ( int CardNb , unsigned long int * myDACOffset_test_minus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDACOffset_test_minus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetDACOffset_offset_plus ( int CardNb , unsigned long int * myDACOffset_offset_plus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDACOffset_offset_plus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetDACOffset_offset_minus ( int CardNb , unsigned long int * myDACOffset_offset_minus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDACOffset_offset_minus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetDACOffset_tr_plus ( int CardNb , unsigned long int * myDACOffset_tr_plus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDACOffset_tr_plus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetDACOffset_tr_minus ( int CardNb , unsigned long int * myDACOffset_tr_minus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='GetDACOffset_tr_minus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetRxTxStatusUSB ( int CardNb , LPDWORD myAmountInRxQueue , LPDWORD myAmountInTxQueue , LPDWORD myEventStatus ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrvoidPtrvoidPtrThunk';fcns.name{fcnNum}='GetRxTxStatusUSB'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulongPtr', 'ulongPtr', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetNumberDevs ( LPDWORD myNumberDevs ); 
fcns.thunkname{fcnNum}='ulongvoidPtrThunk';fcns.name{fcnNum}='GetNumberDevs'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'ulongPtr'};fcnNum=fcnNum+1;
% ULONG GetDescriptors ( char SerialNumberOut [ 16 ], char DescriptionOut [ 64 ]); 
fcns.thunkname{fcnNum}='ulongvoidPtrvoidPtrThunk';fcns.name{fcnNum}='GetDescriptors'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int8Ptr', 'int8Ptr'};fcnNum=fcnNum+1;
% ULONG SetTriggerType ( int CardNb , DWORD myTriggerType ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetTriggerType'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDigitalThreshold ( int CardNb , DWORD myDigitalThreshold ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDigitalThreshold'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetFrequency ( int CardNb , unsigned short int myFrequency ); 
fcns.thunkname{fcnNum}='ulongint32uint16Thunk';fcns.name{fcnNum}='SetFrequency'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint16'};fcnNum=fcnNum+1;
% ULONG SetFrequencyParams ( int CardNb , const char MyParams [ 16 ]); 
fcns.thunkname{fcnNum}='ulongint32voidPtrThunk';fcns.name{fcnNum}='SetFrequencyParams'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'int8Ptr'};fcnNum=fcnNum+1;
% ULONG SetRampMode ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='SetRampMode'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG SetUSBTestMode ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='SetUSBTestMode'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG SetOscillogramMode ( int CardNb , unsigned short int Length ); 
fcns.thunkname{fcnNum}='ulongint32uint16Thunk';fcns.name{fcnNum}='SetOscillogramMode'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'uint16'};fcnNum=fcnNum+1;
% ULONG SetEscale ( int CardNb , DWORD myEscale ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetEscale'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDACOffset_tr_ext_plus ( int CardNb , unsigned long int myDACOffset_tr_ext_plus ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDACOffset_tr_ext_plus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDACOffset_tr_ext_minus ( int CardNb , unsigned long int myDACOffset_tr_ext_minus ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDACOffset_tr_ext_minus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDACOffset_test_plus ( int CardNb , unsigned long int myDACOffset_test_plus ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDACOffset_test_plus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDACOffset_test_minus ( int CardNb , unsigned long int myDACOffset_test_minus ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDACOffset_test_minus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDACOffset_offset_plus ( int CardNb , unsigned long int myDACOffset_offset_plus ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDACOffset_offset_plus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDACOffset_offset_minus ( int CardNb , unsigned long int myDACOffset_offset_minus ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDACOffset_offset_minus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDACOffset_tr_plus ( int CardNb , unsigned long int myDACOffset_tr_plus ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDACOffset_tr_plus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetDACOffset_tr_minus ( int CardNb , unsigned long int myDACOffset_tr_minus ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetDACOffset_tr_minus'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetADCOffset ( int CardNb , DWORD myADCOffset ); 
fcns.thunkname{fcnNum}='ulongint32ulongThunk';fcns.name{fcnNum}='SetADCOffset'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG SetVGA ( int CardNb , int VGA_nb , DWORD myVGA ); 
fcns.thunkname{fcnNum}='ulongint32int32ulongThunk';fcns.name{fcnNum}='SetVGA'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'int32', 'ulong'};fcnNum=fcnNum+1;
% ULONG ReadUSB ( int CardNb , void * Buffer , DWORD BytesToRead , LPDWORD BytesRead ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrulongvoidPtrThunk';fcns.name{fcnNum}='ReadUSB'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'voidPtr', 'ulong', 'ulongPtr'};fcnNum=fcnNum+1;
% ULONG FinalizeUSB ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='FinalizeUSB'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG PurgeRxTxUSB ( int CardNb ); 
fcns.thunkname{fcnNum}='ulongint32Thunk';fcns.name{fcnNum}='PurgeRxTxUSB'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32'};fcnNum=fcnNum+1;
% ULONG WriteUSB ( int CardNb , void * Buffer , DWORD BytesToWrite , LPDWORD BytesWritten ); 
fcns.thunkname{fcnNum}='ulongint32voidPtrulongvoidPtrThunk';fcns.name{fcnNum}='WriteUSB'; fcns.calltype{fcnNum}='Thunk'; fcns.LHS{fcnNum}='ulong'; fcns.RHS{fcnNum}={'int32', 'voidPtr', 'ulong', 'ulongPtr'};fcnNum=fcnNum+1;
methodinfo=fcns;